package com.unis.inspectionplan.common.vo;

import java.util.Date;
import java.util.List;


import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("基础信息实体类")
public class ReportVO  {
    
    @ApiModelProperty("行政区数")
    private String orgid;
	
    
    @ApiModelProperty("名称")
    private String orgname;
	/**
	 * 计划编号
	 */
    @ApiModelProperty("行政区数/总计")
    private Integer xzqs;

    /**
     * 计划名称 
     */
    @ApiModelProperty("行政机构合计")
    private Integer xzjghj;

    /**
     * 任务类型编号
     */
    @ApiModelProperty("独立机构")
    private Integer dljg;

    /**
     *  任务类型名称 
     */
    @ApiModelProperty("加挂粮食和物资储备牌")
    private Integer jglshwzcbp;
    

    /**
     * 任务起始日
     */
    @ApiModelProperty("职能整合入其他部门")
    private Integer znzhrqtbm;

    /**
     * 任务结束日
     */
    @ApiModelProperty("部门人员合计/成立执法队合计")
    private Integer bmryhj;
    
    /**检查单位
     * 
     */
    @ApiModelProperty("行政编制")
    private Integer xzbz;
     
    /**
     * 下发人
     */
    @ApiModelProperty("事业编制")
    private Integer sybz;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("内设合计")
    private Integer nshj;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("独立设立执法督查")
    private Integer dlslzfdc;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("加挂执法督查")
    private Integer jgzfdc;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("职能整合到其它处")
    private Integer znzhdqtc;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("行政执法合计")
    private Integer xzzfhj;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("其中：获得粮食和物资储备证")
    private Integer qzhdlshwzcbz;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("落实经费的粮食和物资储备部门")
    private Integer lsjfdlshwzcbbm;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("年度落实经费金额")
    private Integer ndlsjfje;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("组建行政执法队合计")
    private Integer zjxzzfdhj;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("专职机构")
    private Integer zzjgsl;
    
    /**
     * 下发时间
     */
    @ApiModelProperty("非专职机构")
    private Integer fzzjgsl;
}