package com.unis.inspectionplan.common.vo;

import java.util.Date;


import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("年度计划图表详情类")
public class YearPlanChartDVO  {

    /**
     *  任务类型名称 
     */
    @ApiModelProperty("计划内容 ")
    private String jhnr;
    

    /**
     * 任务起始日
     */
    @ApiModelProperty("计划开始日")
	@DateTimeFormat(pattern="yyyy-MM")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM", timezone = "PRC")
    private Date jhkssj;

    /**
     * 任务结束日
     */
    @ApiModelProperty("计划结束日")
   	@DateTimeFormat(pattern="yyyy-MM")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM", timezone = "PRC")
    private Date jhjssj;
}