package com.unis.inspectionplan.server;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication
@EnableDiscoveryClient
@EnableAutoConfiguration
@ComponentScan("com.unis")
//@MapperScan("com.unis.inspectionplan.server.dao")
@org.mybatis.spring.annotation.MapperScan("com.unis.inspectionplan.server.dao")
@EnableScheduling
public class InspectionplanApplication{
    public static void main( String[] args )
    {
        SpringApplication.run(InspectionplanApplication.class, args);
        System.out.println("-----------------------------启动成功--------------------------");
    }
}

