package com.unis.inspectionplan.server.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.common.vo.GatherQueryVO;
import com.unis.inspectionplan.common.vo.GatherVO;


@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface GatherDao {

	GatherVO getGather(GatherVO vo);

	int updateSelective(GatherVO gatherVO);

	int create(GatherVO gatherVO);

	GatherVO gatherInfo(GatherQueryVO gatherQueryVO);

	int upgather(@Param("dwid")String dwid);

}
