package com.unis.inspectionplan.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.common.vo.YearPlanChartDVO;
import com.unis.inspectionplan.common.vo.YearPlanChartVO;
import com.unis.inspectionplan.common.vo.YearPlanOrgVO;
import com.unis.inspectionplan.common.vo.YearPlanVO;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface YearPlanDao {

	int create(YearPlanVO yearPlanVO);

	void insertYearOrg(YearPlanOrgVO planOrgVO);
	
	int deleteYearOrg(@Param("ndjhid")String ndjhid);
	
	int updateSelective(YearPlanVO yearPlanVO);

	List<YearPlanVO> selectYearPaln(@Param("jhnf")String jhnf,@Param("jhmc")String jhmc, @Param("orgId")String orgId);
	
	
	
	List<YearPlanOrgVO> selectYearOrgPaln(@Param("ndjhid")String ndjhid);

	List<YearPlanChartVO> getYearPlan(@Param("jhnf")String jhnf, @Param("jhmc")String jhmc, @Param("orgId")String orgId);

	List<YearPlanChartDVO> getYearPlanD(@Param("jhmc")String jhmc);

	List<YearPlanVO> getndTodoList();

	void updateStatus(@Param("id")String id);

	List<String> getJgList(@Param("id")String id);

	void updateJg(@Param("id")String id);

	void updateRw(@Param("id")String id);

	void updateJh(@Param("id")String id);

	void delete(@Param("id")String id);

//	List<YearPlanOrgVO> selectyearOrg(@Param("ndjhid")String ndjhid);

}
