package com.unis.inspectionplan.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "T_JCJH")
public class TJcjhDO extends BaseEntity {

	@Column(name="jh_id")
    private String jhId;

	@Column(name="jh_name")
    private String jhName;

	@Column(name="rwlx_id")
    private String rwlxId;

	@Column(name="rwlxmc")
    private String rwlxmc;

	@Column(name="is_bjjcz")
    private Integer isBjjcz;

	@Column(name="bjdwfx")
    private Integer bjdwfx;

	@Column(name="rwqsr")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rwqsr;

	@Column(name="rwjsr")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rwjsr;

	@Column(name="create_date")
    private Date createDate;

	@Column(name="refresher")
    private String refresher;

	@Column(name="org_id")
    private String orgId;

	@Column(name="xfr")
    private String xfr;

	@Column(name="xfsj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date xfsj;

    /**
     *<div style="color: green" v-if="scope.row.jhzt === 2">2已下发</div>
     *<div style="color: #006bd5" v-if="scope.row.jhzt === 1">1待下发</div>
     *<div style="color: #02a05b" v-if="scope.row.jhzt === 3">3已完成</div>
     *<div style="text-decoration:line-through" v-if="scope.row.jhzt === 4">4已超期</div>
     *<div style="text-decoration:line-through" v-if="scope.row.jhzt === 5">5超期完成</div>
     */
    @Column(name="jhzt")
    private Integer jhzt;

    /**
     * 组织id
     */
    @ApiModelProperty("计划id")
    private String planid;

}
