package com.unis.inspectionplan.server.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.inspectionplan.common.vo.BaseInfoVO;
import com.unis.inspectionplan.common.vo.ReportVO;
import com.unis.inspectionplan.server.domain.BaseInfoDomain;
import com.unis.inspectionplan.server.service.BaseInfoService;

@Service
public class BaseInfoServiceImpl implements BaseInfoService {

	@Autowired
	private BaseInfoDomain baseInfoDomain;

	@Override
	public List<BaseInfoVO> gather(List<String> orgids) {
		return baseInfoDomain.gather(orgids);
	}

	@Override
	public BaseInfoVO gatherInfo(String orgid) {
		return baseInfoDomain.gatherInfo(orgid);
	}

	@Override
	public void update(BaseInfoVO baseInfoVO) {
		baseInfoDomain.updategatherInfo(baseInfoVO);
	}

	@Override
	public List<ReportVO> jflsqk(List<String> orgids ,String nd) {
		return baseInfoDomain.jflsqk(orgids,nd);
	}

	@Override
	public List<ReportVO> zfdReport(List<String> orgids, String nd) {
		return baseInfoDomain.zfdReport(orgids,nd);
	}

	@Override
	public BaseInfoVO getbaseinfocha(String orgid) {
		return baseInfoDomain.gatherInfoCha(orgid);
	}

}
