package com.unis.inspectionplan.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.inspectionplan.common.vo.GatherQueryVO;
import com.unis.inspectionplan.common.vo.GatherVO;
import com.unis.inspectionplan.server.domain.GatherDomain;
import com.unis.inspectionplan.server.service.GatherService;

@Service
public class GatherServiceImpl implements GatherService {

	@Autowired
	private GatherDomain gatherDomain;

	@Override
	public int gather(List<GatherVO> gatherVOs) {
		return gatherDomain.gather(gatherVOs);
	}

	@Override
	public Map<String, Object> getJcjhMap(GatherQueryVO gatherQueryVO, Integer pageNum, Integer pageSize) {
		return gatherDomain.getJcjhMap(gatherQueryVO,pageNum,pageSize);
	}

	@Override
	public GatherVO gatherInfo(GatherQueryVO gatherQueryVO) {
		return gatherDomain.gatherInfo(gatherQueryVO);
	}

	@Override
	public int updategatherInfo(List<String> dwids) {
		return gatherDomain.updategatherInfo(dwids);
	}
}
