package com.unis.inspectionplan.server.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.unis.inspectionplan.common.vo.YearPlanChartVO;
import com.unis.inspectionplan.common.vo.YearPlanVO;
import com.unis.inspectionplan.server.domain.YearPlanDomain;
import com.unis.inspectionplan.server.service.YearPlanService;

@Service
public class YearPlanServiceImpl implements YearPlanService {

	@Autowired
	private YearPlanDomain yearPlanDomain;

	@Override
	public int yearplan(YearPlanVO yearPlanVO) {
		return yearPlanDomain.yearplan(yearPlanVO);
	}

	@Override
	public String updateyearplan(YearPlanVO yearPlanVO) {
		return yearPlanDomain.updateyearplan(yearPlanVO);
	}

	@Override
	public Map<String, Object> getJcjhMap(String jcnd,String jhmc, Integer pageNum, Integer pageSize) {
		Map<String, Object> jcjhmap = yearPlanDomain.getJcjhList(jcnd,jhmc, pageNum, pageSize);
		return jcjhmap;
	}

	@Override
	public List<YearPlanChartVO> getInspectionplanList(String jhnf,String jhmc) {
		return yearPlanDomain.getInspectionplanList(jhnf, jhmc);
	}

	@Override
	public String yearplan(String id) {
		return yearPlanDomain.delete(id);
	}

}
