package com.unis.inspectionplan.common.vo;

import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("报表实体类")
public class BaseInfoVO  {

	/**
	 * 计划编号
	 */
    @ApiModelProperty("id")
    private String orgid;

    @ApiModelProperty("名称")
    private String orgname;

    /**
     * 计划名称
     */
    @ApiModelProperty("统一社会信用代码 ")
    private String tyshxydm;

    /**
     * 任务类型编号
     */
    @ApiModelProperty("地址")
    private String dz;

    /**
     *  任务类型名称
     */
    @ApiModelProperty("管辖区域")
    private String gxqy;


    /**
     * 任务起始日
     */
    @ApiModelProperty("行政级别")
    private String xzjb;

    @ApiModelProperty("年度")
    private String nd;

    /**
     * 任务结束日
     */
    @ApiModelProperty("行政机构设置情况")
    private String xzjgslqk;

    /**检查单位
     *
     */
    @ApiModelProperty("执法督查机构名称")
    private String zfdcjgmc;


    /**
     * 下发人
     */
    @ApiModelProperty("执法督查机构情况")
    private String zfdcjgqk;

    /**
     * 年度经费
     */
    @ApiModelProperty("年度经费")
    private BigDecimal ndjfje;

    /**
     * 下发时间
     */
    @ApiModelProperty("行政编制人数")
    private Integer xzbzrs;

    /**
     * 下发时间
     */
    @ApiModelProperty("事业编制人数")
    private Integer sybzrs;

    /**
     * 下发时间
     */
    @ApiModelProperty("国家证")
    private Integer gjzrs;

    /**
     * 下发时间
     */
    @ApiModelProperty("市级证")
    private Integer sjzrs;

    /**
     * 下发时间
     */
    @ApiModelProperty("是否有执法队")
    private Integer sfyzfd;

    /**
     * 下发时间
     */
    @ApiModelProperty("执法队情况")
    private Integer zfdqk;

    /**
     * 下发时间
     */
    @ApiModelProperty("行政编制")
    private Integer xzbzlsl;

    /**
     * 下发时间
     */
    @ApiModelProperty("事业编制")
    private Integer sybzlsl;

    /**
     * 下发时间
     */
    @ApiModelProperty("专职机构")
    private Integer zzjgsl;

    /**
     * 下发时间
     */
    @ApiModelProperty("非专职机构")
    private Integer fzzjgsl;

    @ApiModelProperty("文件")
    List<FileVO> fileVOs;
}
