package com.unis.inspectionplan.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("核定汇总实体类")
public class GatherVO  {
	
	/**
	 * 计划编号
	 */
    @ApiModelProperty("id")
    private String id="";

    /**
     * 计划名称 
     */
    @ApiModelProperty("单位id")
    private String dwid="";

    /**
     * 任务类型编号
     */
    @ApiModelProperty("单位名称")
    private String dwmc="";

    /**
     *  任务类型名称 
     */
    @ApiModelProperty("单位地址")
    private String dwdz="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("单位法人")
    private String dwfr="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("单位联系人")
    private String dwlxr="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("单位联系人电话")
    private String dwlxrdh="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("单位企业类型")
    private String dwqyxz="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("粮食上年度")
    private String lssnd="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("粮食最高层库存")
    private String lszgkc="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("粮食最低库存")
    private String lszdkc="";

    /**
     *  任务类型名称 
     */
    @ApiModelProperty("食用油上年度")
    private String syysnd="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("食用油最高库存")
    private String syyzgkc="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("食用油最低库存")
    private String syyzdkc="";

    /**
     *  任务类型名称 
     */
    @ApiModelProperty("原粮上年")
    private String ylsn="";
    
    /**
     *  任务类型名称 
     */
    @ApiModelProperty("原谅最高")
    private String ylzg="";
    
    /**
     * 计划状态
     */
    @ApiModelProperty("填报年度")
    private String tbnd="";

    /**
     * 计划状态
     */
    @ApiModelProperty("0，收购，1，销售，2，加工")
    private String tblx="";

    /**
     * 计划状态
     */
    @ApiModelProperty("0，企业，1，区粮办，2，市局")
    private String txdw="";

    /**
     * 计划状态
     */
    @ApiModelProperty("0，待提交，1，企业提交，2区粮办提交，3，市局提交")
    private String sjzt="";


}