package com.unis.inspectionplan.common.vo;


import org.springframework.stereotype.Component;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Component
public class InspectionplanQueryVO {

	/**
	 * 任务类型id
	 */
	@ApiModelProperty("任务类型id")
	private String rwlxId;
	
	@ApiModelProperty("计划名称 ")
	private String jhName;


	@ApiModelProperty("计划名称,xml里用的这个属性")
	private String jhmc;

	@ApiModelProperty("计划年份,xml里用的这个属性")
	private String jhnf;
	
	/**
	 * 任务类型名称
	 */
	@ApiModelProperty("任务类型名称")
	private String rwlxMc;
	
	/**
	 * 检查单位名称
	 */
	@ApiModelProperty("检查单位名称")
	private String jcdwName;
	
	/**
	 * 检查单位id
	 */
	@ApiModelProperty("检查单位id")
	private String jcdwId;
	
	/**
	 * 任务起始日
	 */
	@ApiModelProperty("任务起始日")
	private String rwqsr;
	
	/**
	 * 任务结束日
	 */
	@ApiModelProperty("任务结束日")
	private String rwjsr;
	
	/**
	 * 计划状态
	 */
	@ApiModelProperty("计划状态")
	private Integer jhzt;
	
	/**
	 * 组织id
	 */
	@ApiModelProperty("组织id")
	private String orgId;
	
	/**
	 * 任务类型id
	 */
	@ApiModelProperty("任务类型数组")
	private String[] rwlxIds;

	/**
	 * 被检企业编号
	 */
	@ApiModelProperty(value = "被检企业编号#根据用户id获取数组,任务服务", notes ="被检企业编号")
	private String bjdwId;
	
	@ApiModelProperty(value = "计划主键数组")
	private String[] jhIds;
}
