package com.unis.inspectionplan.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.common.vo.BaseInfoVO;
import com.unis.inspectionplan.common.vo.ReportVO;


@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface BaseInfoDao {

	int create(BaseInfoVO gatherVO);

	BaseInfoVO gatherInfo(@Param("orgid")String orgid);
	
	BaseInfoVO gatherInfoCha(@Param("orgid")String orgid);

	void delete(@Param("orgid")String orgid, @Param("nd")String nd);

	ReportVO jflsqk(@Param("orgid")String gatherVO, @Param("nd")String nd);

	ReportVO zfdReport(@Param("orgid")String gatherVO, @Param("nd")String nd);

	List<BaseInfoVO> getList();

}
