package com.unis.inspectionplan.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.server.entity.TBjdwlxDO;
import com.unis.inspectionplan.server.example.TBjdwlxExample;

import tk.mybatis.mapper.entity.Example;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TBjdwlxDao {
    int countByExample(TBjdwlxExample example);

    int deleteByExample(TBjdwlxExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TBjdwlxDO record);

    int insertSelective(TBjdwlxDO record);

    List<TBjdwlxDO> selectByExample(Example example);

    TBjdwlxDO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TBjdwlxDO record, @Param("example") TBjdwlxExample example);

    int updateByExample(@Param("record") TBjdwlxDO record, @Param("example") TBjdwlxExample example);

    int updateByPrimaryKeySelective(TBjdwlxDO record);

    int updateByPrimaryKey(TBjdwlxDO record);

	List<TBjdwlxDO> selectByJhid(@Param("jhId")String jhId);
}