package com.unis.inspectionplan.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.server.entity.TJcbdDO;
import com.unis.inspectionplan.server.example.TJcbdExample;

import tk.mybatis.mapper.entity.Example;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TJcbdDao {
    int countByExample(TJcbdExample example);

    int deleteByExample(TJcbdExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TJcbdDO record);

    int insertSelective(TJcbdDO record);

    List<TJcbdDO> selectByExample(Example example);

    TJcbdDO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TJcbdDO record, @Param("example") TJcbdExample example);

    int updateByExample(@Param("record") TJcbdDO record, @Param("example") TJcbdExample example);

    int updateByPrimaryKeySelective(TJcbdDO record);

    int updateByPrimaryKey(TJcbdDO record);

	List<TJcbdDO> selectByJhid(@Param("jhId")String jhId);
}