package com.unis.inspectionplan.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.inspectionplan.server.entity.TBjdwlxDO;
import com.unis.inspectionplan.server.entity.TJcdwDO;
import com.unis.inspectionplan.server.example.TJcdwExample;

import tk.mybatis.mapper.entity.Example;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TJcdwDao {
    int countByExample(TJcdwExample example);

    int deleteByExample(TJcdwExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TJcdwDO record);

    int insertSelective(TJcdwDO record);

    List<TJcdwDO> selectByExample(Example example);

    TJcdwDO selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TJcdwDO record, @Param("example") TJcdwExample example);

    int updateByExample(@Param("record") TJcdwDO record, @Param("example") TJcdwExample example);

    int jcdw(TJcdwDO record);

    int updateByPrimaryKey(TJcdwDO record);
    
    int updateByPrimaryKeySelective(TJcdwDO record);

	List<TJcdwDO> selectByJhId(@Param("jhId") String jhId);
	
	String selectRwIdyJhId(@Param("jhId") String jhId);
}