package com.unis.inspectionplan.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class TJcjhExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TJcjhExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(BigDecimal value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(BigDecimal value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(BigDecimal value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(BigDecimal value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<BigDecimal> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<BigDecimal> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andJhIdIsNull() {
            addCriterion("jh_id is null");
            return (Criteria) this;
        }

        public Criteria andJhIdIsNotNull() {
            addCriterion("jh_id is not null");
            return (Criteria) this;
        }

        public Criteria andJhIdEqualTo(String value) {
            addCriterion("jh_id =", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdNotEqualTo(String value) {
            addCriterion("jh_id <>", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdGreaterThan(String value) {
            addCriterion("jh_id >", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdGreaterThanOrEqualTo(String value) {
            addCriterion("jh_id >=", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdLessThan(String value) {
            addCriterion("jh_id <", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdLessThanOrEqualTo(String value) {
            addCriterion("jh_id <=", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdLike(String value) {
            addCriterion("jh_id like", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdNotLike(String value) {
            addCriterion("jh_id not like", value, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdIn(List<String> values) {
            addCriterion("jh_id in", values, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdNotIn(List<String> values) {
            addCriterion("jh_id not in", values, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdBetween(String value1, String value2) {
            addCriterion("jh_id between", value1, value2, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhIdNotBetween(String value1, String value2) {
            addCriterion("jh_id not between", value1, value2, "jhId");
            return (Criteria) this;
        }

        public Criteria andJhNameIsNull() {
            addCriterion("jh_name is null");
            return (Criteria) this;
        }

        public Criteria andJhNameIsNotNull() {
            addCriterion("jh_name is not null");
            return (Criteria) this;
        }

        public Criteria andJhNameEqualTo(String value) {
            addCriterion("jh_name =", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameNotEqualTo(String value) {
            addCriterion("jh_name <>", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameGreaterThan(String value) {
            addCriterion("jh_name >", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameGreaterThanOrEqualTo(String value) {
            addCriterion("jh_name >=", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameLessThan(String value) {
            addCriterion("jh_name <", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameLessThanOrEqualTo(String value) {
            addCriterion("jh_name <=", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameLike(String value) {
            addCriterion("jh_name like", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameNotLike(String value) {
            addCriterion("jh_name not like", value, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameIn(List<String> values) {
            addCriterion("jh_name in", values, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameNotIn(List<String> values) {
            addCriterion("jh_name not in", values, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameBetween(String value1, String value2) {
            addCriterion("jh_name between", value1, value2, "jhName");
            return (Criteria) this;
        }

        public Criteria andJhNameNotBetween(String value1, String value2) {
            addCriterion("jh_name not between", value1, value2, "jhName");
            return (Criteria) this;
        }

        public Criteria andRwlxIdIsNull() {
            addCriterion("rwlx_id is null");
            return (Criteria) this;
        }

        public Criteria andRwlxIdIsNotNull() {
            addCriterion("rwlx_id is not null");
            return (Criteria) this;
        }

        public Criteria andRwlxIdEqualTo(BigDecimal value) {
            addCriterion("rwlx_id =", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdNotEqualTo(BigDecimal value) {
            addCriterion("rwlx_id <>", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdGreaterThan(BigDecimal value) {
            addCriterion("rwlx_id >", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("rwlx_id >=", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdLessThan(BigDecimal value) {
            addCriterion("rwlx_id <", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdLessThanOrEqualTo(BigDecimal value) {
            addCriterion("rwlx_id <=", value, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdIn(List<BigDecimal> values) {
            addCriterion("rwlx_id in", values, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdNotIn(List<BigDecimal> values) {
            addCriterion("rwlx_id not in", values, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rwlx_id between", value1, value2, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxIdNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rwlx_id not between", value1, value2, "rwlxId");
            return (Criteria) this;
        }

        public Criteria andRwlxmcIsNull() {
            addCriterion("rwlxmc is null");
            return (Criteria) this;
        }

        public Criteria andRwlxmcIsNotNull() {
            addCriterion("rwlxmc is not null");
            return (Criteria) this;
        }

        public Criteria andRwlxmcEqualTo(String value) {
            addCriterion("rwlxmc =", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcNotEqualTo(String value) {
            addCriterion("rwlxmc <>", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcGreaterThan(String value) {
            addCriterion("rwlxmc >", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcGreaterThanOrEqualTo(String value) {
            addCriterion("rwlxmc >=", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcLessThan(String value) {
            addCriterion("rwlxmc <", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcLessThanOrEqualTo(String value) {
            addCriterion("rwlxmc <=", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcLike(String value) {
            addCriterion("rwlxmc like", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcNotLike(String value) {
            addCriterion("rwlxmc not like", value, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcIn(List<String> values) {
            addCriterion("rwlxmc in", values, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcNotIn(List<String> values) {
            addCriterion("rwlxmc not in", values, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcBetween(String value1, String value2) {
            addCriterion("rwlxmc between", value1, value2, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andRwlxmcNotBetween(String value1, String value2) {
            addCriterion("rwlxmc not between", value1, value2, "rwlxmc");
            return (Criteria) this;
        }

        public Criteria andIsBjjczIsNull() {
            addCriterion("is_bjjcz is null");
            return (Criteria) this;
        }

        public Criteria andIsBjjczIsNotNull() {
            addCriterion("is_bjjcz is not null");
            return (Criteria) this;
        }

        public Criteria andIsBjjczEqualTo(BigDecimal value) {
            addCriterion("is_bjjcz =", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczNotEqualTo(BigDecimal value) {
            addCriterion("is_bjjcz <>", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczGreaterThan(BigDecimal value) {
            addCriterion("is_bjjcz >", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("is_bjjcz >=", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczLessThan(BigDecimal value) {
            addCriterion("is_bjjcz <", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczLessThanOrEqualTo(BigDecimal value) {
            addCriterion("is_bjjcz <=", value, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczIn(List<BigDecimal> values) {
            addCriterion("is_bjjcz in", values, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczNotIn(List<BigDecimal> values) {
            addCriterion("is_bjjcz not in", values, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("is_bjjcz between", value1, value2, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andIsBjjczNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("is_bjjcz not between", value1, value2, "isBjjcz");
            return (Criteria) this;
        }

        public Criteria andBjdwfxIsNull() {
            addCriterion("bjdwfx is null");
            return (Criteria) this;
        }

        public Criteria andBjdwfxIsNotNull() {
            addCriterion("bjdwfx is not null");
            return (Criteria) this;
        }

        public Criteria andBjdwfxEqualTo(BigDecimal value) {
            addCriterion("bjdwfx =", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxNotEqualTo(BigDecimal value) {
            addCriterion("bjdwfx <>", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxGreaterThan(BigDecimal value) {
            addCriterion("bjdwfx >", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("bjdwfx >=", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxLessThan(BigDecimal value) {
            addCriterion("bjdwfx <", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("bjdwfx <=", value, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxIn(List<BigDecimal> values) {
            addCriterion("bjdwfx in", values, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxNotIn(List<BigDecimal> values) {
            addCriterion("bjdwfx not in", values, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bjdwfx between", value1, value2, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andBjdwfxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bjdwfx not between", value1, value2, "bjdwfx");
            return (Criteria) this;
        }

        public Criteria andRwqsrIsNull() {
            addCriterion("rwqsr is null");
            return (Criteria) this;
        }

        public Criteria andRwqsrIsNotNull() {
            addCriterion("rwqsr is not null");
            return (Criteria) this;
        }

        public Criteria andRwqsrEqualTo(Date value) {
            addCriterionForJDBCDate("rwqsr =", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrNotEqualTo(Date value) {
            addCriterionForJDBCDate("rwqsr <>", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrGreaterThan(Date value) {
            addCriterionForJDBCDate("rwqsr >", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rwqsr >=", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrLessThan(Date value) {
            addCriterionForJDBCDate("rwqsr <", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rwqsr <=", value, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrIn(List<Date> values) {
            addCriterionForJDBCDate("rwqsr in", values, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrNotIn(List<Date> values) {
            addCriterionForJDBCDate("rwqsr not in", values, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rwqsr between", value1, value2, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwqsrNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rwqsr not between", value1, value2, "rwqsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrIsNull() {
            addCriterion("rwjsr is null");
            return (Criteria) this;
        }

        public Criteria andRwjsrIsNotNull() {
            addCriterion("rwjsr is not null");
            return (Criteria) this;
        }

        public Criteria andRwjsrEqualTo(Date value) {
            addCriterionForJDBCDate("rwjsr =", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrNotEqualTo(Date value) {
            addCriterionForJDBCDate("rwjsr <>", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrGreaterThan(Date value) {
            addCriterionForJDBCDate("rwjsr >", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rwjsr >=", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrLessThan(Date value) {
            addCriterionForJDBCDate("rwjsr <", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("rwjsr <=", value, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrIn(List<Date> values) {
            addCriterionForJDBCDate("rwjsr in", values, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrNotIn(List<Date> values) {
            addCriterionForJDBCDate("rwjsr not in", values, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rwjsr between", value1, value2, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andRwjsrNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("rwjsr not between", value1, value2, "rwjsr");
            return (Criteria) this;
        }

        public Criteria andFileUrlIsNull() {
            addCriterion("file_url is null");
            return (Criteria) this;
        }

        public Criteria andFileUrlIsNotNull() {
            addCriterion("file_url is not null");
            return (Criteria) this;
        }

        public Criteria andFileUrlEqualTo(String value) {
            addCriterion("file_url =", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlNotEqualTo(String value) {
            addCriterion("file_url <>", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlGreaterThan(String value) {
            addCriterion("file_url >", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlGreaterThanOrEqualTo(String value) {
            addCriterion("file_url >=", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlLessThan(String value) {
            addCriterion("file_url <", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlLessThanOrEqualTo(String value) {
            addCriterion("file_url <=", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlLike(String value) {
            addCriterion("file_url like", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlNotLike(String value) {
            addCriterion("file_url not like", value, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlIn(List<String> values) {
            addCriterion("file_url in", values, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlNotIn(List<String> values) {
            addCriterion("file_url not in", values, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlBetween(String value1, String value2) {
            addCriterion("file_url between", value1, value2, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andFileUrlNotBetween(String value1, String value2) {
            addCriterion("file_url not between", value1, value2, "fileUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlIsNull() {
            addCriterion("attach_url is null");
            return (Criteria) this;
        }

        public Criteria andAttachUrlIsNotNull() {
            addCriterion("attach_url is not null");
            return (Criteria) this;
        }

        public Criteria andAttachUrlEqualTo(String value) {
            addCriterion("attach_url =", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlNotEqualTo(String value) {
            addCriterion("attach_url <>", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlGreaterThan(String value) {
            addCriterion("attach_url >", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlGreaterThanOrEqualTo(String value) {
            addCriterion("attach_url >=", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlLessThan(String value) {
            addCriterion("attach_url <", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlLessThanOrEqualTo(String value) {
            addCriterion("attach_url <=", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlLike(String value) {
            addCriterion("attach_url like", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlNotLike(String value) {
            addCriterion("attach_url not like", value, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlIn(List<String> values) {
            addCriterion("attach_url in", values, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlNotIn(List<String> values) {
            addCriterion("attach_url not in", values, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlBetween(String value1, String value2) {
            addCriterion("attach_url between", value1, value2, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andAttachUrlNotBetween(String value1, String value2) {
            addCriterion("attach_url not between", value1, value2, "attachUrl");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(BigDecimal value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(BigDecimal value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(BigDecimal value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(BigDecimal value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(BigDecimal value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<BigDecimal> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<BigDecimal> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNull() {
            addCriterion("createor is null");
            return (Criteria) this;
        }

        public Criteria andCreateorIsNotNull() {
            addCriterion("createor is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorEqualTo(String value) {
            addCriterion("createor =", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotEqualTo(String value) {
            addCriterion("createor <>", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThan(String value) {
            addCriterion("createor >", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorGreaterThanOrEqualTo(String value) {
            addCriterion("createor >=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThan(String value) {
            addCriterion("createor <", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLessThanOrEqualTo(String value) {
            addCriterion("createor <=", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorLike(String value) {
            addCriterion("createor like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotLike(String value) {
            addCriterion("createor not like", value, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorIn(List<String> values) {
            addCriterion("createor in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotIn(List<String> values) {
            addCriterion("createor not in", values, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorBetween(String value1, String value2) {
            addCriterion("createor between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorNotBetween(String value1, String value2) {
            addCriterion("createor not between", value1, value2, "createor");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNull() {
            addCriterion("createor_code is null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIsNotNull() {
            addCriterion("createor_code is not null");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeEqualTo(String value) {
            addCriterion("createor_code =", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotEqualTo(String value) {
            addCriterion("createor_code <>", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThan(String value) {
            addCriterion("createor_code >", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("createor_code >=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThan(String value) {
            addCriterion("createor_code <", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLessThanOrEqualTo(String value) {
            addCriterion("createor_code <=", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeLike(String value) {
            addCriterion("createor_code like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotLike(String value) {
            addCriterion("createor_code not like", value, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeIn(List<String> values) {
            addCriterion("createor_code in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotIn(List<String> values) {
            addCriterion("createor_code not in", values, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeBetween(String value1, String value2) {
            addCriterion("createor_code between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateorCodeNotBetween(String value1, String value2) {
            addCriterion("createor_code not between", value1, value2, "createorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("create_date is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("create_date is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("create_date =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("create_date <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("create_date >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("create_date >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("create_date <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("create_date <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("create_date in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("create_date not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("create_date between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("create_date not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("refresher is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("refresher is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("refresher =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("refresher <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("refresher >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("refresher >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("refresher <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("refresher <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("refresher like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("refresher not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("refresher in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("refresher not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("refresher between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("refresher not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("refresher_code is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("refresher_code is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("refresher_code =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("refresher_code <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("refresher_code >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("refresher_code >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("refresher_code <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("refresher_code <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("refresher_code like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("refresher_code not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("refresher_code in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("refresher_code not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("refresher_code between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("refresher_code not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNull() {
            addCriterion("refresh_date is null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIsNotNull() {
            addCriterion("refresh_date is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshDateEqualTo(Date value) {
            addCriterion("refresh_date =", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotEqualTo(Date value) {
            addCriterion("refresh_date <>", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThan(Date value) {
            addCriterion("refresh_date >", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateGreaterThanOrEqualTo(Date value) {
            addCriterion("refresh_date >=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThan(Date value) {
            addCriterion("refresh_date <", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateLessThanOrEqualTo(Date value) {
            addCriterion("refresh_date <=", value, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateIn(List<Date> values) {
            addCriterion("refresh_date in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotIn(List<Date> values) {
            addCriterion("refresh_date not in", values, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateBetween(Date value1, Date value2) {
            addCriterion("refresh_date between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRefreshDateNotBetween(Date value1, Date value2) {
            addCriterion("refresh_date not between", value1, value2, "refreshDate");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andOrgidIsNull() {
            addCriterion("orgid is null");
            return (Criteria) this;
        }

        public Criteria andOrgidIsNotNull() {
            addCriterion("orgid is not null");
            return (Criteria) this;
        }

        public Criteria andOrgidEqualTo(String value) {
            addCriterion("orgid =", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotEqualTo(String value) {
            addCriterion("orgid <>", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidGreaterThan(String value) {
            addCriterion("orgid >", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidGreaterThanOrEqualTo(String value) {
            addCriterion("orgid >=", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLessThan(String value) {
            addCriterion("orgid <", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLessThanOrEqualTo(String value) {
            addCriterion("orgid <=", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLike(String value) {
            addCriterion("orgid like", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotLike(String value) {
            addCriterion("orgid not like", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidIn(List<String> values) {
            addCriterion("orgid in", values, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotIn(List<String> values) {
            addCriterion("orgid not in", values, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidBetween(String value1, String value2) {
            addCriterion("orgid between", value1, value2, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotBetween(String value1, String value2) {
            addCriterion("orgid not between", value1, value2, "orgid");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}